Teams
Lists all teams in an organization.
ApiKeyAuthAuthorization<token>The list of teams in an organization
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/teams' \ -H 'Authorization: <API token>'Create a team.
ApiKeyAuth organization.teamAuthorization<token>Scope: organization.team
The team name
application/json- body
name*stringThe created team
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/teams' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "name": "Team A"}'Lists all agents/admins in a team.
ApiKeyAuthAuthorization<token>teamId*stringThe team id
uuidList of agents/admins in the specified team
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}/agents' \ -H 'Authorization: <API token>'Remove agents/admins from a team.
ApiKeyAuth organization.teamAuthorization<token>Scope: organization.team
teamId*stringThe team id
uuidList of agent/admin ids to remove from the specified team
application/json- body
agentIds?array<>The agents/admins were successfully removed from the team
curl -X DELETE 'https://dev.dixa.io/v1/teams/{teamId}/agents' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "agentIds": [ "a8080cf3-9d55-41dd-a8ef-b02414399e7a", "d53dbec1-e79c-4736-b9a1-15f6dce71ed4" ]}'Empty
Add agents/admins to a team.
ApiKeyAuthAuthorization<token>teamId*stringThe team id
uuidList of agent/admin ids to add to the specified team
application/json- body
agentIds?array<>curl -X PATCH 'https://dev.dixa.io/v1/teams/{teamId}/agents' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "agentIds": [ "912d5148-6918-4420-b23a-8584b896c8ae", "a8080cf3-9d55-41dd-a8ef-b02414399e7a" ]}'Empty
List the presence status of all agents/admins in a team.
ApiKeyAuthAuthorization<token>teamId*stringThe team id
uuidpageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
List of agents/admins presence status in the specified team
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}/presence' \ -H 'Authorization: <API token>'Get a team by id.
ApiKeyAuthAuthorization<token>teamId*stringThe team id
uuidThe team
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/teams/{teamId}' \ -H 'Authorization: <API token>'Delete a team.
ApiKeyAuth organization.teamAuthorization<token>Scope: organization.team
teamId*stringThe team id
uuidThe team was successfully deleted
curl -X DELETE 'https://dev.dixa.io/v1/teams/{teamId}' \ -H 'Authorization: <API token>'Empty